Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## aop.example
Class AuthHelper

    java.lang.Object
      aop.example.AuthHelper

public class AuthHelper
extends java.lang.Object

Класс инкапсулирующий логику проверки прав на объект

Author:
  Zubairov Renat

Constructor Summary
`AuthHelper()`

Method Summary
`static boolean` | `isAbleToAdd(AnonymousUser user, java.lang.Object object)` Метод проверяющий может ли пользователь добавить объект Только аутентифицированные пользователи могут добавлять новые альбомы
`static boolean` | `isAbleToDelete(AnonymousUser user, java.lang.Object object)` Метод проверяющий может ли пользователь удалить объект Пользователи могут удалять только "свои" альбомы
`static boolean` | `isAbleToRead(AnonymousUser user, java.lang.Object object)` Метод проверяющий может ли пользователь прочитать объект Все методы на чтение доступны всем возвращает всегда true

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthHelper

    public AuthHelper()

Method Detail

### isAbleToAdd

    public static boolean isAbleToAdd(AnonymousUser user,
                                      java.lang.Object object)

  Метод проверяющий может ли пользователь добавить объект Только аутентифицированные пользователи могут добавлять новые альбомы

  Parameters:
    `user` - Текущий пользователь
    `object` - Объект права на который необходимо проверить
  Returns:
    дать доступ или не дать

### isAbleToDelete

    public static boolean isAbleToDelete(AnonymousUser user,
                                         java.lang.Object object)

  Метод проверяющий может ли пользователь удалить объект Пользователи могут удалять только "свои" альбомы

  Parameters:
    `user` - Текущий пользователь
    `object` - Объект права на который необходимо проверить
  Returns:
    дать доступ или не дать

### isAbleToRead

    public static boolean isAbleToRead(AnonymousUser user,
                                       java.lang.Object object)

  Метод проверяющий может ли пользователь прочитать объект Все методы на чтение доступны всем возвращает всегда true

  Parameters:
    `user` - Текущий пользователь
    `object` - Объект права на который необходимо проверить
  Returns:
    дать доступ или не дать

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD